com.lowagie.text.pdf

## Class PdfLiteral

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfLiteral

-     public class PdfLiteral
      extends PdfObject

  a Literal

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `position` Holds value of property position.

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfLiteral(byte[] b)`
    `PdfLiteral(int size)`
    `PdfLiteral(int type, byte[] b)`
    `PdfLiteral(int type, java.lang.String text)`
    `PdfLiteral(java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPosition()` Getter for property position.
    `int` | `getPosLength()` Getter for property posLength.
    `void` | `toPdf(PdfWriter writer, java.io.OutputStream os)` Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### position

          private int position

      Holds value of property position.

  - ### Constructor Detail

    - #### PdfLiteral

          public PdfLiteral(java.lang.String text)

    - #### PdfLiteral

          public PdfLiteral(byte[] b)

    - #### PdfLiteral

          public PdfLiteral(int size)

    - #### PdfLiteral

          public PdfLiteral(int type,
                    java.lang.String text)

    - #### PdfLiteral

          public PdfLiteral(int type,
                    byte[] b)

  - ### Method Detail

    - #### toPdf

          public void toPdf(PdfWriter writer,
                   java.io.OutputStream os)
                     throws java.io.IOException

      Description copied from class: `PdfObject`
      Writes the PDF representation of this `PdfObject` as an array of `byte`s to the writer.
      Overrides:
        `toPdf` in class `PdfObject`
      Parameters:
        `writer` - for backwards compatibility
        `os` - The `OutputStream` to write the bytes to.
      Throws:
        `java.io.IOException`

    - #### getPosition

          public int getPosition()

      Getter for property position.
      Returns:
        Value of property position.

    - #### getPosLength

          public int getPosLength()

      Getter for property posLength.
      Returns:
        Value of property posLength.